Network & Provisioning API
Endpoints
GET /api/v1/devices
Purpose: List devices
Retrieve CPE/NAS/OLT/ONU devices.
Authentication: Bearer token.
Response envelope: success, data, meta for success; success, error for failure.
POST /api/v1/devices
Purpose: Create device
Register device or network element.
Authentication: Bearer token.
Response envelope: success, data, meta for success; success, error for failure.
POST /api/v1/provisioning/onu/authorize
Purpose: Authorize ONU
Register/authorize ONU against service.
Authentication: Bearer token.
Response envelope: success, data, meta for success; success, error for failure.
POST /api/v1/provisioning/radius/sync
Purpose: Sync RADIUS policy
Push service policy to RADIUS context.
Authentication: Bearer token.
Response envelope: success, data, meta for success; success, error for failure.